## zygrib 3.5.0

=== Makefile ===
QTBIN=/usr/lib/qt4/bin

all:
	rm -f ./zyGrib
	cd src/bzip2; $(QTBIN)/qmake; make
	cd src/zlib-1.2.3; $(QTBIN)/qmake; make
	cd src/proj-4.6.0/src/; $(QTBIN)/qmake; make
	cd src; $(QTBIN)/qmake; make
	echo "-----------------------------------"

clean:
	rm -f zyGrib
	rm -f src/zyGrib
	cd src/bzip2; $(QTBIN)/qmake; make clean
	cd src/zlib-1.2.3; $(QTBIN)/qmake; make clean
	cd src/proj-4.6.0/src/; $(QTBIN)/qmake; make clean
	cd src;	$(QTBIN)/qmake; make clean
