## zygrib 3.9.2

=== Makefile ===
#QTBIN=/usr/lib/qt4/bin
QTBIN=/usr/bin

INSTALLDIR=$(HOME)/zyGrib

all: zyGrib

SRC= src/*.h src/*.cpp \
     src/*/*.h src/*/*.cpp src/*/*.c \
     src/*/*/*.h src/*/*/*.c \

clean:
	rm -f zyGrib
	rm -f src/zyGrib
	cd src/bzip2; $(QTBIN)/qmake; make clean
	cd src/zlib-1.2.3; $(QTBIN)/qmake; make clean
	cd src/proj-4.6.0/src/; $(QTBIN)/qmake; make clean
	cd src;	$(QTBIN)/qmake; make clean

zyGrib: $(SRC)
	@ echo
	@ echo
	rm -f ./zyGrib
	cd src/bzip2; $(QTBIN)/qmake; make
	cd src/zlib-1.2.3; $(QTBIN)/qmake; make
	cd src/proj-4.6.0/src/; $(QTBIN)/qmake; make
	cd src; $(QTBIN)/qmake; make
	@ echo "-----------------------------------"
	@ echo "#!/bin/bash" >> ./zyGrib
	@ echo "cd `pwd`" >> ./zyGrib
	@ echo 'src/zyGrib $$*' >> ./zyGrib
	@ chmod 755 ./zyGrib


install: zyGrib
	mkdir -p $(INSTALLDIR)
	mkdir -p $(INSTALLDIR)/bin
	cp -a fonts $(INSTALLDIR)
	cp -a grib $(INSTALLDIR)
	cp -a img $(INSTALLDIR)
	cp -a maps $(INSTALLDIR)
	cp -a tr $(INSTALLDIR)
	rm -f ./zyGrib
	rm -f $(INSTALLDIR)/bin/zyGrib
	cp  -a src/zyGrib $(INSTALLDIR)/bin
	echo "#!/bin/bash" >> ./zyGrib
	echo "cd $(INSTALLDIR)" >> ./zyGrib
	echo 'bin/zyGrib $$*' >> ./zyGrib
	chmod 755 ./zyGrib
	cp -af zyGrib $(INSTALLDIR)
