=== debian/changelog ===
zygrib (3.9.2-1) unstable; urgency=low

  * New Updatream release. Closes: #584897.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Jun 2010 20:43:50 +0100

zygrib (3.8.6-2) unstable; urgency=low

  * zygrib.png does not need to be uuencoded in source format 3.0.
    Ship in debian/ directory. Closes: #576933. 
  * Add DEP-3 tags to patches.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 08 Apr 2010 12:30:22 +0100

zygrib (3.8.6-1) unstable; urgency=low

  * New upstream release.
  * Include czech lang patch
  * Remove dutch lang patch; now included upstream.
  * Move to Standards-Version: 3.8.4.
  * Move to source format 3.0
  * No longer need quilt dependency; add qt4-dev-tools for translation tools.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Apr 2010 11:24:27 +0100

zygrib (3.5.0-1) unstable; urgency=low

  * Initial release. Closes: 531032.
  * Add Dutch support; translation taken from website www.zygrib.org
  * Use external zlib, bzip2, proj libraries. Source code not shipped with
    Debian version.
  * Add zygrib desktop entry and pixmap.
  * Clarify the copyright and upstream URL in debian/copyright. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Aug 2009 09:39:25 +0100
