=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

CFLAGS += -fPIC

DEB_MAKE_CHECK_TARGET := check
DEB_MAKE_CLEAN_TARGET := clean distclean maintainer-clean


build/zygrib::
	cd src ; qmake-qt4 -o Makefile zyGrib.pro; $(MAKE)
	cd tr ; lconvert zyGrib_cz.ts -o zyGrib_cz.qm

clean::
	# cd src ; qmake-qt4 -o Makefile zyGrib.pro; $(MAKE) clean
	rm -f  src/objs/* src/zyGrib


# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo
